Bug 1005270 - Need to add working sample cluster configuration files for SOA6 RT Gov
Need to add working sample cluster configuration files for SOA6 RT Gov
Status: NEW
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: FUTURE
Assigned To: Julian Coleman
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 10:39 EDT by Len DiMaggio
Modified: 2015-11-02 03:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The product lacks a working sample cluster configuration file for RTGov. As a result, users do not have an example to study or use.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Len DiMaggio 2013-09-06 10:39:16 EDT
Description of problem:

We support clustered environments for RTGov, but we do not yet provide users a working sample (configuration files, user docs).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 6 Gary Brown 2013-10-09 11:06:27 EDT
The following changes can be made, to include a pre-configured cache container and cache for 'Principals':

overlord-rtgov.properties: Uncomment the infinispan.container property, with the following value,

infinispan.container=java:jboss/infinispan/container/rtgov


standalone-full.xml: include the following cache container in the infinispan subsystem,

            <cache-container name="rtgov" jndi-name="java:jboss/infinispan/container/rtgov" start="EAGER">
                <local-cache name="Principals">
                    <transaction mode="NONE"/>
                    <eviction strategy="NONE"/>
                </local-cache>
            </cache-container>


standalone-full-ha.xml: include the following cache container in the infinispan subsystem,

            <cache-container name="rtgov" jndi-name="java:jboss/infinispan/container/rtgov" start="EAGER">
                <transport lock-timeout="60000"/>
                <replicated-cache name="Principals" mode="SYNC">
                    <locking isolation="REPEATABLE_READ"/>
                    <transaction mode="FULL_XA" locking="PESSIMISTIC"/>
                </replicated-cache>
            </cache-container>


If this change is applied to the product, then doc team need to be informed, so that they can reference it if necessary as an example.
Comment 7 Gary Brown 2013-10-09 11:27:57 EDT
Note: the policy sync quickstart has an issue with the clustered cache (https://bugzilla.redhat.com/show_bug.cgi?id=1017304) - it doesn't block this issue from being applied, but just means the policy sync quickstart cannot be used until the other issue is resolved.

Note You need to log in before you can comment on or make changes to this bug.